#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern int GMTshift = 0;
extern bool Using_OpenGraphics = TRUE;
extern bool Dolly_GRAPHICS = TRUE;
extern bool Alert_ON = FALSE;
extern bool Auto_Signals = TRUE;
extern bool Show_DollyCOMMENTS = TRUE;
extern color BUY_Color_2 = C'0x00,0x00,0x96';
extern color BUY_Color_1 = C'0x00,0x00,0x64';
extern color SELL_Color_1 = C'0x78,0x00,0x00';
extern color SELL_Color_2 = C'0xB4,0x00,0x00';
extern int BUY_Target_2 = 50;
extern int BUY_Target_1 = 40;
extern int BUY_Area = 20;
extern int SELL_Area = 20;
extern int SELL_Target_1 = 40;
extern int SELL_Target_2 = 50;
extern int SHIFT_DollyText = 0;
extern bool Show_DailyAverageGRAPHICS = TRUE;
extern bool Daily_AverageGRAPHICS = TRUE;
extern color DAILY_Av_UP_Color_150 = C'0x00,0x6E,0xFF';
extern color DAILY_Av_UP_Color_125 = C'0x00,0x46,0xFF';
extern color DAILY_Av_UP_Color_100 = C'0x14,0x14,0xFF';
extern color DAILY_Av_UP_Color_75 = C'0x00,0x00,0xD2';
extern color DAILY_Av_DN_Color_75 = C'0xDC,0x00,0x00';
extern color DAILY_Av_DN_Color_100 = C'0xFF,0x00,0x0A';
extern color DAILY_Av_DN_Color_125 = C'0xFF,0x46,0x00';
extern color DAILY_Av_DN_Color_150 = C'0xFF,0x6E,0x00';
extern int SHIFT_DailyAverageText = 28;
extern bool Show_PivotLines = FALSE;
extern bool Show_M_PivotLines = FALSE;
extern int SHIFT_PivotPointText = 0;
extern int PivotPoint_ExtendLINE = 0;
extern bool Show_FibLines = FALSE;
extern bool Show_EXTRAFibLines = FALSE;
extern int SHIFT_FibText = 65;
extern int FIB_ExtendDISPLAY = 1;
extern bool Show_Daily_HI_LOW = FALSE;
extern int SHIFT_HI_LOW_TEXT = 50;
extern bool Show_Daily_OPEN = FALSE;
extern int SHIFT_Daily_OPEN_TEXT = 0;
double g_high_292;
double g_low_300;
double gd_unused_308;
double g_open_316;
double g_day_324;
double g_day_332;
double g_high_340 = 0.0;
double g_low_348 = 0.0;
double g_close_356 = 0.0;

int deinit() {
   ObjectsDeleteAll(0, OBJ_TEXT);
   ObjectsDeleteAll(0, OBJ_LABEL);
   ObjectsDeleteAll(0, OBJ_RECTANGLE);
   ObjectsDeleteAll(0, OBJ_TRENDBYANGLE);
   ObjectDelete("Pivot");
   ObjectDelete("Open");
   ObjectDelete("Dolly");
   ObjectDelete("Dolly1");
   ObjectDelete("Dolly2");
   ObjectDelete("Dolly3");
   ObjectDelete("Dolly4");
   ObjectDelete("Dolly5");
   ObjectDelete("Dolly6");
   ObjectDelete("Dolly7");
   ObjectDelete("Dolly8");
   ObjectDelete("Dolly9");
   ObjectDelete("Dolly10");
   ObjectDelete("Dolly11");
   ObjectDelete("Dolly12");
   ObjectDelete("Dolly13");
   ObjectDelete("Dolly14");
   ObjectDelete("Dolly15");
   ObjectDelete("Dolly16");
   ObjectDelete("Dolly17");
   ObjectDelete("Dolly18");
   ObjectDelete("Dolly19");
   ObjectDelete("Dolly20");
   ObjectDelete("Dolly21");
   ObjectDelete("Dolly22");
   ObjectDelete("Dolly23");
   ObjectDelete("Dolly24");
   ObjectDelete("Dolly25");
   ObjectDelete("Dolly26");
   ObjectDelete("Dolly27");
   ObjectDelete("Dolly28");
   ObjectDelete("Dolly29");
   ObjectDelete("Dolly30");
   ObjectDelete("Dolly31");
   ObjectDelete("Dolly32");
   ObjectDelete("Dolly33");
   ObjectDelete("Dolly34");
   ObjectDelete("Dolly35");
   ObjectDelete("Dolly36");
   ObjectDelete("Dolly37");
   ObjectDelete("Dolly38");
   ObjectDelete("Dolly39");
   ObjectDelete("Dolly40");
   ObjectDelete("Dolly41");
   ObjectDelete("Dolly42");
   ObjectDelete("Dolly43");
   ObjectDelete("Dolly44");
   ObjectDelete("Dolly45");
   ObjectDelete("Dolly46");
   ObjectDelete("Dolly47");
   ObjectDelete("Dolly48");
   ObjectDelete("Dolly49");
   ObjectDelete("Dolly50");
   ObjectDelete("Dolly51");
   return (0);
}

int init() {
   IndicatorShortName("Indonesia graphics");
   return (0);
}

int start() {
   double ld_4;
   /*int l_str2time_0 = StrToTime(DoubleToStr(2010, 0) + "." + DoubleToStr(12, 0) + "." + DoubleToStr(30, 0));
   if (TimeCurrent() >= l_str2time_0) {
      Comment("indicator expired contact indonesia-investors.com");
      ld_4 = 1 / ld_4;
   }
   if (TimeCurrent() >= l_str2time_0) return (0);*/
   int l_ind_counted_12 = IndicatorCounted();
   CreateP();
   return (0);
}

void CreateP() {
   ObjectsDeleteAll(0, OBJ_TRENDBYANGLE);
   DeleteCreatePivots1();
   CreateDL();
}

void DeleteCreatePivots1() {
   ObjectDelete("P1");
   ObjectDelete("DHI");
   ObjectDelete("DLO");
   ObjectDelete("DO");
}

void CreateDL() {
   ObjectsDeleteAll(0, OBJ_RECTANGLE);
   DeleteDollyGraphics();
   CreateAL();
}

void DeleteDollyGraphics() {
   ObjectDelete("DollyBUY3");
   ObjectDelete("DollyBUY2");
   ObjectDelete("DollyBUY1");
   ObjectDelete("DollySELL1");
   ObjectDelete("DollySELL2");
   ObjectDelete("DollySELL3");
}

void CreateAL() {
   ObjectsDeleteAll(0, OBJ_RECTANGLE);
   DeleteAvGraphics();
   CreatePP();
}

void DeleteAvGraphics() {
   ObjectDelete("AvBUY150");
   ObjectDelete("AvBUY125");
   ObjectDelete("AvBUY100");
   ObjectDelete("AvBUY75");
   ObjectDelete("AvSELL75");
   ObjectDelete("AvSELL100");
   ObjectDelete("AvSELL125");
   ObjectDelete("AvSELL150");
}

void CreatePP() {
   ObjectsDeleteAll(0, OBJ_TRENDBYANGLE);
   DeleteCreatePivots();
   CreateFIB();
}

void DeleteCreatePivots() {
   ObjectDelete("PP1");
   ObjectDelete("RR3");
   ObjectDelete("RR2");
   ObjectDelete("RR1");
   ObjectDelete("SS1");
   ObjectDelete("SS2");
   ObjectDelete("SS3");
   ObjectDelete("P1");
   ObjectDelete("MM1");
   ObjectDelete("MM2");
   ObjectDelete("MM3");
   ObjectDelete("MM4");
   ObjectDelete("MM5");
   ObjectDelete("MM0");
   ObjectDelete("DDHI");
   ObjectDelete("DDLO");
}

void CreatePivots1(string a_name_0, double a_price_8, double a_price_16, double a_price_24, double a_datetime_32, color a_color_40) {
   ObjectCreate(a_name_0, OBJ_TRENDBYANGLE, 0, iTime(NULL, PERIOD_D1, 0) + 3600 * GMTshift, a_price_8, Time[0], a_price_24, a_datetime_32, a_price_16);
   ObjectSet(a_name_0, OBJPROP_COLOR, a_color_40);
   ObjectSet(a_name_0, OBJPROP_RAY, FALSE);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   ObjectSet(a_name_0, OBJPROP_WIDTH, a_price_24);
   ObjectSet(a_name_0, OBJPROP_STYLE, a_datetime_32);
}

void CreateDollyGraphics(string a_name_0, double a_price_8, double a_price_16, color a_color_24) {
   ObjectCreate(a_name_0, OBJ_RECTANGLE, 0, iTime(NULL, PERIOD_D1, 0) + 3600 * GMTshift, a_price_8, Time[0], a_price_16);
   ObjectSet(a_name_0, OBJPROP_COLOR, a_color_24);
   ObjectSet(a_name_0, OBJPROP_BACK, Dolly_GRAPHICS);
   ObjectSet(a_name_0, OBJPROP_WIDTH, 2);
   ObjectSet(a_name_0, OBJPROP_STYLE, STYLE_SOLID);
}

void CreateAvGraphics(string a_name_0, double a_price_8, double a_price_16, color a_color_24) {
   ObjectCreate(a_name_0, OBJ_RECTANGLE, 0, iTime(NULL, PERIOD_D1, 0) + 3600 * GMTshift, a_price_8, Time[0], a_price_16);
   ObjectSet(a_name_0, OBJPROP_COLOR, a_color_24);
   ObjectSet(a_name_0, OBJPROP_BACK, Daily_AverageGRAPHICS);
   ObjectSet(a_name_0, OBJPROP_WIDTH, 0);
   ObjectSet(a_name_0, OBJPROP_STYLE, STYLE_SOLID);
}

void CreatePivots(string a_name_0, double a_price_8, double a_price_16, double a_price_24, double a_datetime_32, color a_color_40) {
   ObjectCreate(a_name_0, OBJ_TRENDBYANGLE, 0, iTime(NULL, PERIOD_D1, PivotPoint_ExtendLINE + 0), a_price_8, Time[0], a_price_24, a_datetime_32, a_price_16);
   ObjectSet(a_name_0, OBJPROP_COLOR, a_color_40);
   ObjectSet(a_name_0, OBJPROP_RAY, FALSE);
   ObjectSet(a_name_0, OBJPROP_WIDTH, a_price_24);
   ObjectSet(a_name_0, OBJPROP_STYLE, a_datetime_32);
}

void CreateFibs(string a_name_0, double a_price_8, double a_price_16, double a_price_24, double a_datetime_32, color a_color_40) {
   ObjectCreate(a_name_0, OBJ_TRENDBYANGLE, 0, iTime(NULL, PERIOD_D1, FIB_ExtendDISPLAY), a_price_8, Time[0], a_price_24, a_datetime_32, a_price_16);
   ObjectSet(a_name_0, OBJPROP_COLOR, a_color_40);
   ObjectSet(a_name_0, OBJPROP_RAY, FALSE);
   ObjectSet(a_name_0, OBJPROP_WIDTH, a_price_24);
   ObjectSet(a_name_0, OBJPROP_STYLE, a_datetime_32);
}

void DeleteCreateFibs() {
   ObjectDelete("Fib100");
   ObjectDelete("Fib764");
   ObjectDelete("Fib618");
   ObjectDelete("Fib50");
   ObjectDelete("Fib236");
   ObjectDelete("Fib0");
   ObjectDelete("Fib382");
   ObjectDelete("FibP100");
   ObjectDelete("FibP618");
   ObjectDelete("FibP50");
   ObjectDelete("FibP382");
   ObjectDelete("FibM100");
   ObjectDelete("FibM618");
   ObjectDelete("FibM50");
   ObjectDelete("FibM382");
   ObjectDelete("FibP236");
   ObjectDelete("FibM236");
   ObjectDelete("FibP764");
   ObjectDelete("FibM764");
   ObjectDelete("FibP150");
   ObjectDelete("FibM150");
   ObjectDelete("FibP200");
   ObjectDelete("FibM200");
   ObjectDelete("FibP250");
   ObjectDelete("FibM250");
   ObjectDelete("FibP300");
   ObjectDelete("FibM300");
}

void CreateFIB() {
   double ld_508;
   color l_color_908;
   color l_color_912;
   string ls_916;
   string l_dbl2str_924;
   string l_dbl2str_932;
   string l_dbl2str_940;
   string l_dbl2str_948;
   string l_dbl2str_956;
   string l_dbl2str_964;
   string l_dbl2str_972;
   string l_dbl2str_980;
   string l_dbl2str_988;
   string l_dbl2str_996;
   string l_dbl2str_1004;
   string l_dbl2str_1012;
   string l_dbl2str_1020;
   string l_dbl2str_1028;
   string l_dbl2str_1036;
   string l_dbl2str_1044;
   string l_dbl2str_1052;
   string l_dbl2str_1060;
   string l_dbl2str_1068;
   string l_dbl2str_1076;
   string l_dbl2str_1084;
   string l_time2str_1092;
   string l_time2str_1100;
   string l_dbl2str_1108;
   string l_dbl2str_1116;
   string l_dbl2str_1124;
   string l_dbl2str_1132;
   string l_dbl2str_1140;
   string l_dbl2str_1148;
   double ld_1156;
   ObjectsDeleteAll(0, OBJ_TRENDBYANGLE);
   DeleteCreateFibs();
   g_high_292 = 0;
   g_low_300 = 0;
   gd_unused_308 = 0;
   g_open_316 = 0;
   g_day_324 = 0;
   g_day_332 = 0;
   for (int li_0 = 720; li_0 != 0; li_0--) {
      if (TimeDayOfWeek(Time[li_0]) == 0) g_day_324 = g_day_332;
      else g_day_324 = TimeDay(Time[li_0] - 3600 * GMTshift);
      if (g_day_332 != g_day_324) {
         g_close_356 = Close[li_0 + 1];
         g_open_316 = Open[li_0];
         g_high_340 = g_high_292;
         g_low_348 = g_low_300;
         g_high_292 = High[li_0];
         g_low_300 = Low[li_0];
         g_day_332 = g_day_324;
      }
      if (High[li_0] > g_high_292) g_high_292 = High[li_0];
      if (Low[li_0] < g_low_300) g_low_300 = Low[li_0];
   }
   double l_price_4 = (g_high_340 + g_low_348 + g_close_356) / 3.0;
   double l_price_12 = 2.0 * l_price_4 + (g_high_340 - 2.0 * g_low_348);
   double l_price_20 = l_price_4 + (g_high_340 - g_low_348);
   double l_price_28 = 2.0 * l_price_4 - g_low_348;
   double l_price_36 = 2.0 * l_price_4 - g_high_340;
   double l_price_44 = l_price_4 - (g_high_340 - g_low_348);
   double l_price_52 = 2.0 * l_price_4 - (2.0 * g_high_340 - g_low_348);
   double l_price_60 = (l_price_44 + l_price_52) / 2.0;
   double l_price_68 = (l_price_36 + l_price_44) / 2.0;
   double l_price_76 = (l_price_4 + l_price_36) / 2.0;
   double l_price_84 = (l_price_4 + l_price_28) / 2.0;
   double l_price_92 = (l_price_28 + l_price_20) / 2.0;
   double l_price_100 = (l_price_20 + l_price_12) / 2.0;
   double l_open_108 = g_open_316;
   double l_ihigh_116 = iHigh(NULL, PERIOD_D1, 0);
   double l_ilow_124 = iLow(NULL, PERIOD_D1, 0);
   double l_price_132 = g_high_340;
   double l_price_140 = g_low_348;
   double l_ihigh_148 = iHigh(NULL, PERIOD_D1, 0);
   double l_ilow_156 = iLow(NULL, PERIOD_D1, 0);
   double l_ihigh_164 = iHigh(NULL, PERIOD_D1, 2);
   double l_ilow_172 = iLow(NULL, PERIOD_D1, 2);
   double l_ihigh_180 = iHigh(NULL, PERIOD_D1, 3);
   double l_ilow_188 = iLow(NULL, PERIOD_D1, 3);
   double l_ihigh_196 = iHigh(NULL, PERIOD_D1, 4);
   double l_ilow_204 = iLow(NULL, PERIOD_D1, 4);
   double l_ihigh_212 = iHigh(NULL, PERIOD_D1, 5);
   double l_ilow_220 = iLow(NULL, PERIOD_D1, 5);
   double l_ihigh_228 = iHigh(NULL, PERIOD_D1, 6);
   double l_ilow_236 = iLow(NULL, PERIOD_D1, 6);
   double l_ihigh_244 = iHigh(NULL, PERIOD_D1, 7);
   double l_ilow_252 = iLow(NULL, PERIOD_D1, 7);
   double l_ihigh_260 = iHigh(NULL, PERIOD_D1, 8);
   double l_ilow_268 = iLow(NULL, PERIOD_D1, 8);
   double l_ihigh_276 = iHigh(NULL, PERIOD_D1, 9);
   double l_ilow_284 = iLow(NULL, PERIOD_D1, 9);
   double l_ihigh_292 = iHigh(NULL, PERIOD_D1, 10);
   double l_ilow_300 = iLow(NULL, PERIOD_D1, 10);
   double l_ihigh_308 = iHigh(NULL, PERIOD_D1, 11);
   double l_ilow_316 = iLow(NULL, PERIOD_D1, 11);
   double l_ihigh_324 = iHigh(NULL, PERIOD_D1, 12);
   double l_ilow_332 = iLow(NULL, PERIOD_D1, 12);
   double l_ihigh_340 = iHigh(NULL, PERIOD_D1, 13);
   double l_ilow_348 = iLow(NULL, PERIOD_D1, 13);
   double l_ihigh_356 = iHigh(NULL, PERIOD_D1, 14);
   double l_ilow_364 = iLow(NULL, PERIOD_D1, 14);
   double l_ihigh_372 = iHigh(NULL, PERIOD_D1, 15);
   double l_ilow_380 = iLow(NULL, PERIOD_D1, 15);
   double l_ihigh_388 = iHigh(NULL, PERIOD_D1, 16);
   double l_ilow_396 = iLow(NULL, PERIOD_D1, 16);
   double l_ihigh_404 = iHigh(NULL, PERIOD_D1, 17);
   double l_ilow_412 = iLow(NULL, PERIOD_D1, 17);
   double l_ihigh_420 = iHigh(NULL, PERIOD_D1, 18);
   double l_ilow_428 = iLow(NULL, PERIOD_D1, 18);
   double l_ihigh_436 = iHigh(NULL, PERIOD_D1, 19);
   double l_ilow_444 = iLow(NULL, PERIOD_D1, 19);
   double l_ihigh_452 = iHigh(NULL, PERIOD_D1, 20);
   double l_ilow_460 = iLow(NULL, PERIOD_D1, 20);
   double ld_468 = l_price_132 - l_price_140;
   double ld_476 = (l_price_132 - l_price_140 + (l_ihigh_164 - l_ilow_172) + (l_ihigh_180 - l_ilow_188) + (l_ihigh_196 - l_ilow_204) + (l_ihigh_212 - l_ilow_220)) / 5.0;
   double ld_484 = (l_price_132 - l_price_140 + (l_ihigh_164 - l_ilow_172) + (l_ihigh_180 - l_ilow_188) + (l_ihigh_196 - l_ilow_204) + (l_ihigh_212 - l_ilow_220) + (l_ihigh_228 - l_ilow_236) +
      (l_ihigh_244 - l_ilow_252) + (l_ihigh_260 - l_ilow_268) + (l_ihigh_276 - l_ilow_284) + (l_ihigh_292 - l_ilow_300)) / 10.0;
   double ld_492 = (l_price_132 - l_price_140 + (l_ihigh_164 - l_ilow_172) + (l_ihigh_180 - l_ilow_188) + (l_ihigh_196 - l_ilow_204) + (l_ihigh_212 - l_ilow_220) + (l_ihigh_228 - l_ilow_236) +
      (l_ihigh_244 - l_ilow_252) + (l_ihigh_260 - l_ilow_268) + (l_ihigh_276 - l_ilow_284) + (l_ihigh_292 - l_ilow_300) + (l_ihigh_308 - l_ilow_316) + (l_ihigh_324 - l_ilow_332) + (l_ihigh_340 - l_ilow_348) + (l_ihigh_356 - l_ilow_364) + (l_ihigh_372 - l_ilow_380) + (l_ihigh_388 - l_ilow_396) + (l_ihigh_404 - l_ilow_412) + (l_ihigh_420 - l_ilow_428) + (l_ihigh_436 - l_ilow_444) + (l_ihigh_452 - l_ilow_460)) / 20.0;
   double ld_500 = (ld_468 + ld_476 + ld_484 + ld_492) / 4.0;
   if (Using_OpenGraphics == TRUE) ld_508 = l_open_108;
   else ld_508 = l_price_4;
   double l_price_516 = ld_508 - 3.0 * (ld_500 / 2.0);
   double l_price_524 = ld_508 + 3.0 * (ld_500 / 2.0);
   double l_price_532 = ld_508 - 5.0 * (ld_500 / 4.0);
   double l_price_540 = ld_508 + 5.0 * (ld_500 / 4.0);
   double l_price_548 = ld_508 - ld_500;
   double l_price_556 = ld_508 + ld_500;
   double l_price_564 = ld_508 - 3.0 * (ld_500 / 4.0);
   double l_price_572 = ld_508 + 3.0 * (ld_500 / 4.0);
   double l_price_580 = ld_508 - ld_500 / 2.0;
   double l_price_588 = ld_508 + ld_500 / 2.0;
   double l_price_596 = ld_508 - ld_500 / 4.0;
   double l_price_604 = ld_508 + ld_500 / 4.0;
   double l_iclose_612 = iClose(NULL, PERIOD_D1, 0);
   double ld_620 = g_high_340 - g_low_348;
   double l_price_628 = g_low_348 + 4.0 * ld_620;
   double l_price_636 = g_low_348 + 3.5 * ld_620;
   double l_price_644 = g_low_348 + 3.0 * ld_620;
   double l_price_652 = g_low_348 + 2.5 * ld_620;
   double l_price_660 = g_low_348 + 2.0 * ld_620;
   double l_price_668 = g_low_348 + 1.764 * ld_620;
   double l_price_676 = g_low_348 + 1.618 * ld_620;
   double l_price_684 = g_low_348 + 1.5 * ld_620;
   double l_price_692 = g_low_348 + 1.382 * ld_620;
   double l_price_700 = g_low_348 + 1.236 * ld_620;
   double l_price_708 = g_high_340;
   double l_price_716 = g_low_348 + 0.764 * ld_620;
   double l_price_724 = g_low_348 + 0.618 * ld_620;
   double l_price_732 = g_low_348 + ld_620 / 2.0;
   double l_price_740 = g_low_348 + ld_620 / 2.0;
   double l_price_748 = g_low_348 + 0.236 * ld_620;
   double l_price_756 = g_low_348 + 0.0 * ld_620;
   double l_price_764 = g_low_348 - 0.236 * ld_620;
   double l_price_772 = g_low_348 - ld_620 / 2.0;
   double l_price_780 = g_low_348 - ld_620 / 2.0;
   double l_price_788 = g_low_348 - 0.618 * ld_620;
   double l_price_796 = g_low_348 - 0.764 * ld_620;
   double l_price_804 = g_low_348 - 1.0 * ld_620;
   double l_price_812 = g_low_348 - 1.5 * ld_620;
   double l_price_820 = g_low_348 - 2.0 * ld_620;
   double l_price_828 = g_low_348 - 2.5 * ld_620;
   double l_price_836 = g_low_348 - 3.0 * ld_620;
   double l_price_844 = ld_508 + BUY_Area * Point;
   double l_price_852 = ld_508 - SELL_Area * Point;
   double l_price_860 = ld_508 + BUY_Target_1 * Point;
   double l_price_868 = ld_508 - SELL_Target_1 * Point;
   double l_price_876 = ld_508 + BUY_Target_2 * Point;
   double l_price_884 = ld_508 - SELL_Target_2 * Point;
   ObjectsRedraw();
   if (Alert_ON == TRUE) {
      if (Ask > l_price_844 - 2.0 * Point && Ask < l_price_844 + 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : BUY AREA  @  " + DoubleToStr(l_price_844, Digits) + "");
      if (Bid < l_price_852 + 2.0 * Point && Bid > l_price_852 - 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : SELL AREA  @  " + DoubleToStr(l_price_852, Digits) + "");
      if (Ask > l_price_860 - 2.0 * Point && Ask < l_price_860 + 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : BUY TARGET #1  @  " + DoubleToStr(l_price_860, Digits) + "");
      if (Bid < l_price_868 + 2.0 * Point && Bid > l_price_868 - 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : SELL TARGET #1  @  " + DoubleToStr(l_price_868, Digits) + "");
      if (Ask > l_price_876 - 2.0 * Point && Ask < l_price_876 + 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : BUY TARGET #2  @  " + DoubleToStr(l_price_876, Digits) + "");
      if (Bid < l_price_884 + 2.0 * Point && Bid > l_price_884 - 2.0 * Point) Alert(Symbol(), " M", Period(), " : DOLLY : SELL TARGET #2  @  " + DoubleToStr(l_price_884, Digits) + "");
   }
   string l_text_892 = "";
   string l_text_900 = "";
   if (Show_DollyCOMMENTS == TRUE) {
      if (Auto_Signals == TRUE) {
         if (Using_OpenGraphics == TRUE) {
            l_text_892 = "Currently Signals Pending .................................";
            l_color_908 = C'0xFA,0xFA,0x00';
            if (Ask > l_price_844 - 3.0 * Point && Ask < l_price_844 + 3.0 * Point) {
               l_text_892 = "OPEN + [" + BUY_Area + "] @ " + DoubleToStr(l_price_844, Digits) + "" + " - TP @ " + DoubleToStr(l_price_844 + 20.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_844 - 40.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_860 - 3.0 * Point && Ask < l_price_860 + 3.0 * Point) {
               l_text_892 = "BUY Stop : OPEN + [" + BUY_Target_1 + "] @ " + DoubleToStr(l_price_860, Digits) + "" + " - TP @ " + DoubleToStr(l_price_860 + 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_860 - 20.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_876 - 3.0 * Point && Ask < l_price_876 + 3.0 * Point) {
               l_text_892 = "BUY Stop : OPEN + [" + BUY_Target_2 + "] @ " + DoubleToStr(l_price_876, Digits) + "" + " - TP @ " + DoubleToStr(l_price_876 + 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_876 - 20.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_556 - 3.0 * Point && Ask < l_price_556 + 3.0 * Point) {
               l_text_892 = "Caution approaching Daily Average Range @ " + DoubleToStr(l_price_556, Digits) + "";
               l_color_908 = YellowGreen;
            }
            if (Bid > l_price_548 + 3.0 * Point && Bid < l_price_548 - 3.0 * Point) {
               l_text_892 = "Caution approaching Daily Average Range @ " + DoubleToStr(l_price_548, Digits) + "";
               l_color_908 = YellowGreen;
            }
            if (Bid < l_price_852 + 3.0 * Point && Bid > l_price_852 - 3.0 * Point) {
               l_text_892 = "OPEN - [" + SELL_Area + "] @ " + DoubleToStr(l_price_852, Digits) + "" + " - TP @ " + DoubleToStr(l_price_852 - 20.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_852 + 40.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_868 + 3.0 * Point && Bid > l_price_868 - 3.0 * Point) {
               l_text_892 = "SELL Stop : OPEN - [" + SELL_Target_1 + "] @ " + DoubleToStr(l_price_868, Digits) + "" + " - TP @ " + DoubleToStr(l_price_868 - 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_868 + 20.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_884 + 3.0 * Point && Bid > l_price_884 - 3.0 * Point) {
               l_text_892 = "SELL Stop : OPEN - [" + SELL_Target_2 + "] @ " + DoubleToStr(l_price_884, Digits) + "" + " - TP @ " + DoubleToStr(l_price_884 - 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_884 + 20.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_4 + 3.0 * Point && Bid > l_price_4 - 3.0 * Point) {
               l_text_892 = "Caution possible reversal  PIVOT @ " + DoubleToStr(l_price_4, Digits) + "";
               l_color_908 = White;
            }
            if (Bid < l_open_108 + 2.0 * Point && Bid > l_open_108 - 2.0 * Point) {
               l_text_892 = "Caution possible reversal  OPEN @ " + DoubleToStr(l_open_108, Digits) + "";
               l_color_908 = White;
            }
            if (Bid > l_price_852 && Bid < l_price_844) {
               l_text_900 = "Price Currently between BUY & SELL ZONES";
               l_color_912 = C'0x18,0xE7,0x00';
            }
            if (Bid <= l_price_852 && Bid > l_price_868) {
               l_text_900 = "Price Currently in SELL ZONE #1";
               l_color_912 = C'0xFA,0x32,0x00';
            }
            if (Bid <= l_price_868 && Bid > l_price_884) {
               l_text_900 = "Price Currently in SELL ZONE #2";
               l_color_912 = C'0xFA,0x5A,0x00';
            }
            if (Bid >= l_price_844 && Bid < l_price_860) {
               l_text_900 = "Price Currently in BUY ZONE #1";
               l_color_912 = C'0x00,0x78,0xFA';
            }
            if (Bid >= l_price_860 && Bid < l_price_876) {
               l_text_900 = "Price Currently in BUY ZONE #2";
               l_color_912 = C'0x00,0xB4,0xFA';
            }
            if (Bid >= l_price_876 && Bid < l_price_556) {
               l_text_900 = "Price Currently Between BUY ZONE #2 & 100% D/AV";
               l_color_912 = C'0x78,0xFA,0xFA';
            }
            if (Bid <= l_price_884 && Bid > l_price_548) {
               l_text_900 = "Price Currently Between SELL ZONE #2 & 100% D/AV";
               l_color_912 = C'0xDC,0xFA,0x00';
            }
         }
         if (Using_OpenGraphics == FALSE) {
            l_text_892 = "Currently Signals Pending .................................";
            l_color_908 = C'0xFA,0xFA,0x00';
            if (Ask > l_price_844 - 3.0 * Point && Ask < l_price_844 + 3.0 * Point) {
               l_text_892 = "PIVOT + [" + BUY_Area + "] @ " + DoubleToStr(l_price_844, Digits) + "" + " - TP @ " + DoubleToStr(l_price_844 + 20.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_844 - 40.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_860 - 3.0 * Point && Ask < l_price_860 + 3.0 * Point) {
               l_text_892 = "BUY Stop : PIVOT + [" + BUY_Target_1 + "] @ " + DoubleToStr(l_price_860, Digits) + "" + " - TP @ " + DoubleToStr(l_price_860 + 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_860 - 20.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_876 - 3.0 * Point && Ask < l_price_876 + 3.0 * Point) {
               l_text_892 = "BUY Stop : PIVOT + [" + BUY_Target_2 + "] @ " + DoubleToStr(l_price_876, Digits) + "" + " - TP @ " + DoubleToStr(l_price_876 + 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_876 - 20.0 * Point, Digits) + "";
               l_color_908 = C'0x00,0xFA,0xFA';
            }
            if (Ask > l_price_556 - 3.0 * Point && Ask < l_price_556 + 3.0 * Point) {
               l_text_892 = "Caution approaching Daily Average Range @ " + DoubleToStr(l_price_556, Digits) + "";
               l_color_908 = YellowGreen;
            }
            if (Bid > l_price_548 + 3.0 * Point && Bid < l_price_548 - 3.0 * Point) {
               l_text_892 = "Caution approaching Daily Average Range @ " + DoubleToStr(l_price_548, Digits) + "";
               l_color_908 = YellowGreen;
            }
            if (Bid < l_price_852 + 3.0 * Point && Bid > l_price_852 - 3.0 * Point) {
               l_text_892 = "PIVOT - [" + SELL_Area + "] @ " + DoubleToStr(l_price_852, Digits) + "" + " - TP @ " + DoubleToStr(l_price_852 - 20.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_852 + 40.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_868 + 3.0 * Point && Bid > l_price_868 - 3.0 * Point) {
               l_text_892 = "SELL Stop : PIVOT - [" + SELL_Target_1 + "] @ " + DoubleToStr(l_price_868, Digits) + "" + " - TP @ " + DoubleToStr(l_price_868 - 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_868 + 20.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_884 + 3.0 * Point && Bid > l_price_884 - 3.0 * Point) {
               l_text_892 = "SELL Stop : PIVOT - [" + SELL_Target_2 + "] @ " + DoubleToStr(l_price_884, Digits) + "" + " - TP @ " + DoubleToStr(l_price_884 - 10.0 * Point, Digits) + "" + " - SL @ " + DoubleToStr(l_price_884 + 20.0 * Point, Digits) + "";
               l_color_908 = C'0xFA,0x96,0x00';
            }
            if (Bid < l_price_4 + 3.0 * Point && Bid > l_price_4 - 3.0 * Point) {
               l_text_892 = "Caution possible reversal  PIVOT @ " + DoubleToStr(l_price_4, Digits) + "";
               l_color_908 = White;
            }
            if (Bid < l_open_108 + 2.0 * Point && Bid > l_open_108 - 2.0 * Point) {
               l_text_892 = "Caution possible reversal  OPEN @ " + DoubleToStr(l_open_108, Digits) + "";
               l_color_908 = White;
            }
            if (Bid > l_price_852 && Bid < l_price_844) {
               l_text_900 = "Price Currently between BUY & SELL ZONES";
               l_color_912 = C'0x18,0xE7,0x00';
            }
            if (Bid <= l_price_852 && Bid > l_price_868) {
               l_text_900 = "Price Currently in SELL ZONE #1";
               l_color_912 = C'0xFA,0x32,0x00';
            }
            if (Bid <= l_price_868 && Bid > l_price_884) {
               l_text_900 = "Price Currently in SELL ZONE #2";
               l_color_912 = C'0xFA,0x5A,0x00';
            }
            if (Bid >= l_price_844 && Bid < l_price_860) {
               l_text_900 = "Price Currently in BUY ZONE #1";
               l_color_912 = C'0x00,0x78,0xFA';
            }
            if (Bid >= l_price_860 && Bid < l_price_876) {
               l_text_900 = "Price Currently in BUY ZONE #2";
               l_color_912 = C'0x00,0xB4,0xFA';
            }
            if (Bid >= l_price_876 && Bid < l_price_556) {
               l_text_900 = "Price Currently Between BUY ZONE #2 & 100% D/AV";
               l_color_912 = C'0x78,0xFA,0xFA';
            }
            if (Bid <= l_price_884 && Bid > l_price_548) {
               l_text_900 = "Price Currently Between SELL ZONE #2 & 100% D/AV";
               l_color_912 = C'0xDC,0xFA,0x00';
            }
         }
         ObjectCreate("Signal", OBJ_LABEL, 0, 0, 0);
         ObjectSetText("Signal", l_text_892, 11, "Arial Bold", l_color_908);
         ObjectSet("Signal", OBJPROP_CORNER, 0);
         ObjectSet("Signal", OBJPROP_XDISTANCE, 20);
         ObjectSet("Signal", OBJPROP_YDISTANCE, 65);
         ObjectCreate("Signal2", OBJ_LABEL, 0, 0, 0);
         ObjectSetText("Signal2", l_text_900, 11, "Arial Bold", l_color_912);
         ObjectSet("Signal2", OBJPROP_CORNER, 0);
         ObjectSet("Signal2", OBJPROP_XDISTANCE, 20);
         ObjectSet("Signal2", OBJPROP_YDISTANCE, 85);
         ObjectCreate("Signal1", OBJ_LABEL, 0, 0, 0);
         ObjectSetText("Signal1", "Signal Auto Display", 9, "Arial", Silver);
         ObjectSet("Signal1", OBJPROP_CORNER, 4);
         ObjectSet("Signal1", OBJPROP_XDISTANCE, 20);
         ObjectSet("Signal1", OBJPROP_YDISTANCE, 47);
      }
   }
   CreateDollyGraphics("DollyBUY3", l_price_876, l_price_876, C'0x00,0x00,0xD2');
   CreateDollyGraphics("DollyBUY2", l_price_860, l_price_876, BUY_Color_2);
   CreateDollyGraphics("DollyBUY1", l_price_844, l_price_860, BUY_Color_1);
   CreateDollyGraphics("DollySELL1", l_price_852, l_price_868, SELL_Color_1);
   CreateDollyGraphics("DollySELL2", l_price_868, l_price_884, SELL_Color_2);
   CreateDollyGraphics("DollySELL3", l_price_884, l_price_884, C'0xE6,0x00,0x00');
   if (Show_DailyAverageGRAPHICS == TRUE) {
      CreateAvGraphics("AvBUY150", l_price_524, l_price_540, DAILY_Av_UP_Color_150);
      CreateAvGraphics("AvBUY125", l_price_540, l_price_556, DAILY_Av_UP_Color_125);
      CreateAvGraphics("AvBUY100", l_price_556, l_price_572, DAILY_Av_UP_Color_100);
      CreateAvGraphics("AvBUY75", l_price_572, l_price_876, DAILY_Av_UP_Color_75);
      CreateAvGraphics("AvSELL75", l_price_564, l_price_884, DAILY_Av_DN_Color_75);
      CreateAvGraphics("AvSELL100", l_price_548, l_price_564, DAILY_Av_DN_Color_100);
      CreateAvGraphics("AvSELL125", l_price_548, l_price_532, DAILY_Av_DN_Color_125);
      CreateAvGraphics("AvSELL150", l_price_532, l_price_516, DAILY_Av_DN_Color_150);
   }
   CreatePivots1("P1", l_price_4, l_price_4, 2, 0, DimGray);
   if (Show_PivotLines == TRUE) {
      CreatePivots("PP1", l_price_4, l_price_4, 2, 1, Gray);
      CreatePivots("RR3", l_price_12, l_price_12, 1, 0, Gray);
      CreatePivots("RR2", l_price_20, l_price_20, 1, 0, Gray);
      CreatePivots("RR1", l_price_28, l_price_28, 1, 0, Gray);
      CreatePivots("SS1", l_price_36, l_price_36, 1, 0, Gray);
      CreatePivots("SS2", l_price_44, l_price_44, 1, 0, Gray);
      CreatePivots("SS3", l_price_52, l_price_52, 1, 0, Gray);
   }
   if (Show_M_PivotLines == TRUE) {
      CreatePivots("MM5", l_price_100, l_price_100, 1, 2, Gray);
      CreatePivots("MM4", l_price_92, l_price_92, 1, 2, Gray);
      CreatePivots("MM3", l_price_84, l_price_84, 1, 2, Gray);
      CreatePivots("MM2", l_price_76, l_price_76, 1, 2, Gray);
      CreatePivots("MM1", l_price_68, l_price_68, 1, 2, Gray);
      CreatePivots("MM0", l_price_60, l_price_60, 1, 2, Gray);
   }
   if (Show_FibLines == TRUE) {
      CreateFibs("FibP100", l_price_660, l_price_660, 1, 0, Green);
      CreateFibs("FibP764", l_price_668, l_price_668, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("FibP618", l_price_676, l_price_676, 1, 0, Green);
      CreateFibs("FibP50", l_price_684, l_price_684, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("FibP382", l_price_692, l_price_692, 1, 0, Green);
      CreateFibs("FibP236", l_price_700, l_price_700, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("Fib100", l_price_708, l_price_708, 1, 0, C'0x00,0xC8,0x00');
      CreateFibs("Fib764", l_price_716, l_price_716, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("Fib618", l_price_724, l_price_724, 1, 0, Green);
      CreateFibs("Fib50", l_price_732, l_price_732, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("Fib382", l_price_740, l_price_740, 1, 0, Green);
      CreateFibs("Fib236", l_price_748, l_price_748, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("Fib0", l_price_756, l_price_756, 1, 0, C'0x00,0xC8,0x00');
      CreateFibs("FibM236", l_price_764, l_price_764, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("FibM382", l_price_772, l_price_772, 1, 0, Green);
      CreateFibs("FibM50", l_price_780, l_price_780, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("FibM618", l_price_788, l_price_788, 1, 0, Green);
      CreateFibs("FibM764", l_price_796, l_price_796, 1, 0, C'0x00,0x35,0x00');
      CreateFibs("FibM100", l_price_804, l_price_804, 1, 0, Green);
   }
   if (Show_EXTRAFibLines == TRUE) {
      CreateFibs("FibP300", l_price_628, l_price_628, 1, 0, Green);
      CreateFibs("FibP250", l_price_636, l_price_636, 1, 0, Green);
      CreateFibs("FibP200", l_price_644, l_price_644, 1, 0, Green);
      CreateFibs("FibP150", l_price_652, l_price_652, 1, 0, Green);
      CreateFibs("FibM150", l_price_812, l_price_812, 1, 0, Green);
      CreateFibs("FibM200", l_price_820, l_price_820, 1, 0, Green);
      CreateFibs("FibM250", l_price_828, l_price_828, 1, 0, Green);
      CreateFibs("FibM300", l_price_836, l_price_836, 1, 0, Green);
   }
   if (Show_Daily_HI_LOW == TRUE) {
      CreatePivots1("DHI", l_price_132, l_price_132, 2, 0, Turquoise);
      CreatePivots1("DLO", l_price_140, l_price_140, 2, 0, Turquoise);
      CreatePivots("DDHI", l_price_132, l_price_132, 2, 0, Turquoise);
      CreatePivots("DDLO", l_price_140, l_price_140, 2, 0, Turquoise);
   }
   if (Show_Daily_OPEN == TRUE || Using_OpenGraphics == TRUE) CreatePivots1("DO", l_open_108, l_open_108, 2, 0, YellowGreen);
   if (ObjectFind("B1") != 0) {
      ObjectCreate("B1", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_844);
      ObjectSetText("B1", "                        BUY AREA", 8, "Arial", DodgerBlue);
      ObjectSet("B1", OBJPROP_BACK, TRUE);
   } else ObjectMove("B1", 0, Time[SHIFT_DollyText], l_price_844);
   if (ObjectFind("B2") != 0) {
      ObjectCreate("B2", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_860);
      ObjectSetText("B2", "                                   1st BUY TARGET ", 8, "Arial", DodgerBlue);
      ObjectSet("B2", OBJPROP_BACK, TRUE);
   } else ObjectMove("B2", 0, Time[SHIFT_DollyText], l_price_860);
   if (ObjectFind("B3") != 0) {
      ObjectCreate("B3", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_876);
      ObjectSetText("B3", "                             2nd TARGET ", 8, "Arial", DodgerBlue);
      ObjectSet("B3", OBJPROP_BACK, TRUE);
   } else ObjectMove("B3", 0, Time[SHIFT_DollyText], l_price_876);
   if (ObjectFind("S1") != 0) {
      ObjectCreate("S1", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_852);
      ObjectSetText("S1", "                         SELL AREA", 8, "Arial", Orange);
      ObjectSet("S1", OBJPROP_BACK, TRUE);
   } else ObjectMove("S1", 0, Time[SHIFT_DollyText], l_price_852);
   if (ObjectFind("S2") != 0) {
      ObjectCreate("S2", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_868);
      ObjectSetText("S2", "                                   1st SELL TARGET ", 8, "Arial", Orange);
      ObjectSet("S2", OBJPROP_BACK, TRUE);
   } else ObjectMove("S2", 0, Time[SHIFT_DollyText], l_price_868);
   if (ObjectFind("S3") != 0) {
      ObjectCreate("S3", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_884);
      ObjectSetText("S3", "                             2nd TARGET ", 8, "Arial", Orange);
      ObjectSet("S3", OBJPROP_BACK, TRUE);
   } else ObjectMove("S3", 0, Time[SHIFT_DollyText], l_price_884);
   if (ObjectFind("Pivot") != 0) {
      ObjectCreate("Pivot", OBJ_TEXT, 0, Time[SHIFT_DollyText], l_price_4);
      ObjectSetText("Pivot", "                             PIVOT " + DoubleToStr(l_price_4, Digits) + "", 8, "Arial", Silver);
      ObjectSet("Pivot", OBJPROP_BACK, TRUE);
   } else ObjectMove("Pivot", 0, Time[SHIFT_DollyText], l_price_4);
   if (Show_DailyAverageGRAPHICS == TRUE) {
      if (ObjectFind("TOP/AV150") != 0) {
         ObjectCreate("TOP/AV150", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_524);
         ObjectSetText("TOP/AV150", "                                    150% ", 8, "Arial", DeepSkyBlue);
         ObjectSet("TOP/AV150", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV150", 0, Time[SHIFT_DailyAverageText], l_price_524);
      if (ObjectFind("LOW/AV150") != 0) {
         ObjectCreate("LOW/AV150", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_516);
         ObjectSetText("LOW/AV150", "                                    150% ", 8, "Arial", Yellow);
         ObjectSet("LOW/AV150", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV150", 0, Time[SHIFT_DailyAverageText], l_price_516);
      if (ObjectFind("TOP/AV125") != 0) {
         ObjectCreate("TOP/AV125", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_540);
         ObjectSetText("TOP/AV125", "                                    125% ", 8, "Arial", DeepSkyBlue);
         ObjectSet("TOP/AV125", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV125", 0, Time[SHIFT_DailyAverageText], l_price_540);
      if (ObjectFind("LOW/AV125") != 0) {
         ObjectCreate("LOW/AV125", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_532);
         ObjectSetText("LOW/AV125", "                                    125% ", 8, "Arial", Yellow);
         ObjectSet("LOW/AV125", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV125", 0, Time[SHIFT_DailyAverageText], l_price_532);
      if (ObjectFind("TOP/AV100") != 0) {
         ObjectCreate("TOP/AV100", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_556);
         ObjectSetText("TOP/AV100", "                                   100%", 8, "Arial", DeepSkyBlue);
         ObjectSet("TOP/AV100", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV100", 0, Time[SHIFT_DailyAverageText], l_price_556);
      if (ObjectFind("LOW/AV100") != 0) {
         ObjectCreate("LOW/AV100", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_548);
         ObjectSetText("LOW/AV100", "                                    100% ", 8, "Arial", Yellow);
         ObjectSet("LOW/AV100", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV100", 0, Time[SHIFT_DailyAverageText], l_price_548);
      if (ObjectFind("TOP/AV75") != 0) {
         ObjectCreate("TOP/AV75", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_572);
         ObjectSetText("TOP/AV75", "                                      75% ", 8, "Arial", DeepSkyBlue);
         ObjectSet("TOP/AV75", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV75", 0, Time[SHIFT_DailyAverageText], l_price_572);
      if (ObjectFind("LOW/AV75") != 0) {
         ObjectCreate("LOW/AV75", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_564);
         ObjectSetText("LOW/AV75", "                                     75%", 8, "Arial", Yellow);
         ObjectSet("LOW/AV75", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV75", 0, Time[SHIFT_DailyAverageText], l_price_564);
      if (ObjectFind("LOW/AV50") != 0) {
         ObjectCreate("LOW/AV50", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_588);
         ObjectSetText("LOW/AV50", "                                       50% ", 8, "Arial", DeepSkyBlue);
         ObjectSet("LOW/AV50", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV50", 0, Time[SHIFT_DailyAverageText], l_price_588);
      if (ObjectFind("TOP/AV50") != 0) {
         ObjectCreate("TOP/AV50", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_580);
         ObjectSetText("TOP/AV50", "                                      50% ", 8, "Arial", Yellow);
         ObjectSet("TOP/AV50", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV50", 0, Time[SHIFT_DailyAverageText], l_price_580);
      if (ObjectFind("TOP/AV25") != 0) {
         ObjectCreate("TOP/AV25", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_604);
         ObjectSetText("TOP/AV25", "                                      25% ", 8, "Arial", DeepSkyBlue);
         ObjectSet("TOP/AV25", OBJPROP_BACK, TRUE);
      } else ObjectMove("TOP/AV25", 0, Time[SHIFT_DailyAverageText], l_price_604);
      if (ObjectFind("LOW/AV25") != 0) {
         ObjectCreate("LOW/AV25", OBJ_TEXT, 0, Time[SHIFT_DailyAverageText], l_price_596);
         ObjectSetText("LOW/AV25", "                                      25% ", 8, "Arial", Yellow);
         ObjectSet("LOW/AV25", OBJPROP_BACK, TRUE);
      } else ObjectMove("LOW/AV25", 0, Time[SHIFT_DailyAverageText], l_price_596);
   }
   if (Show_PivotLines == TRUE) {
      if (ObjectFind("C/PIVOT") != 0) {
         ObjectCreate("C/PIVOT", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_4);
         ObjectSetText("C/PIVOT", "P", 8, "Arial", Silver);
      } else ObjectMove("C/PIVOT", 0, Time[SHIFT_PivotPointText], l_price_4);
      if (ObjectFind("R3") != 0) {
         ObjectCreate("R3", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_12);
         ObjectSetText("R3", "R3", 8, "Arial", Silver);
      } else ObjectMove("R3", 0, Time[SHIFT_PivotPointText], l_price_12);
      if (ObjectFind("R2") != 0) {
         ObjectCreate("R2", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_20);
         ObjectSetText("R2", "R2", 8, "Arial", Silver);
      } else ObjectMove("R2", 0, Time[SHIFT_PivotPointText], l_price_20);
      if (ObjectFind("R1") != 0) {
         ObjectCreate("R1", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_28);
         ObjectSetText("R1", "R1", 8, "Arial", Silver);
      } else ObjectMove("R1", 0, Time[SHIFT_PivotPointText], l_price_28);
      if (ObjectFind("PS1") != 0) {
         ObjectCreate("PS1", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_36);
         ObjectSetText("PS1", "S1", 8, "Arial", Silver);
      } else ObjectMove("PS1", 0, Time[SHIFT_PivotPointText], l_price_36);
      if (ObjectFind("PS2") != 0) {
         ObjectCreate("PS2", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_44);
         ObjectSetText("PS2", "S2", 8, "Arial", Silver);
      } else ObjectMove("PS2", 0, Time[SHIFT_PivotPointText], l_price_44);
      if (ObjectFind("PS3") != 0) {
         ObjectCreate("PS3", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_52);
         ObjectSetText("PS3", "S3", 8, "Arial", Silver);
      } else ObjectMove("PS3", 0, Time[SHIFT_PivotPointText], l_price_52);
      if (Show_M_PivotLines == TRUE) {
         if (ObjectFind("M5") != 0) {
            ObjectCreate("M5", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_100);
            ObjectSetText("M5", "M5", 8, "Arial", Silver);
         } else ObjectMove("M5", 0, Time[SHIFT_PivotPointText], l_price_100);
         if (ObjectFind("M4") != 0) {
            ObjectCreate("M4", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_92);
            ObjectSetText("M4", "M4", 8, "Arial", Silver);
         } else ObjectMove("M4", 0, Time[SHIFT_PivotPointText], l_price_92);
         if (ObjectFind("M3") != 0) {
            ObjectCreate("M3", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_84);
            ObjectSetText("M3", "M3", 8, "Arial", Silver);
         } else ObjectMove("M3", 0, Time[SHIFT_PivotPointText], l_price_84);
         if (ObjectFind("M2") != 0) {
            ObjectCreate("M2", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_76);
            ObjectSetText("M2", "M2", 8, "Arial", Silver);
         } else ObjectMove("M2", 0, Time[SHIFT_PivotPointText], l_price_76);
         if (ObjectFind("M1") != 0) {
            ObjectCreate("M1", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_68);
            ObjectSetText("M1", "M1", 8, "Arial", Silver);
         } else ObjectMove("M1", 0, Time[SHIFT_PivotPointText], l_price_68);
         if (ObjectFind("M0") != 0) {
            ObjectCreate("M0", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], l_price_60);
            ObjectSetText("M0", "M0", 8, "Arial", Silver);
         } else ObjectMove("M0", 0, Time[SHIFT_PivotPointText], l_price_60);
      }
   }
   if (Show_FibLines == TRUE) {
      if (ObjectFind("FIB") != 0) {
         ObjectCreate("FIB", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_708);
         ObjectSetText("FIB", "FIB 100% ", 8, "Arial", Green);
      } else ObjectMove("FIB", 0, Time[SHIFT_FibText], l_price_708);
      if (ObjectFind("FIB2") != 0) {
         ObjectCreate("FIB2", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_732);
         ObjectSetText("FIB2", "FIB 50% ", 8, "Arial", Green);
      } else ObjectMove("FIB2", 0, Time[SHIFT_FibText], l_price_732);
      if (ObjectFind("FIB3") != 0) {
         ObjectCreate("FIB3", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_756);
         ObjectSetText("FIB3", "FIB 0.00% ", 8, "Arial", Green);
      } else ObjectMove("FIB3", 0, Time[SHIFT_FibText], l_price_756);
      if (ObjectFind("FIB4") != 0) {
         ObjectCreate("FIB4", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_740);
         ObjectSetText("FIB4", "FIB 0.382% ", 8, "Arial", Green);
      } else ObjectMove("FIB4", 0, Time[SHIFT_FibText], l_price_740);
      if (ObjectFind("FIB5") != 0) {
         ObjectCreate("FIB5", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_724);
         ObjectSetText("FIB5", "FIB 0.618% ", 8, "Arial", Green);
      } else ObjectMove("FIB5", 0, Time[SHIFT_FibText], l_price_724);
      if (ObjectFind("FIB6") != 0) {
         ObjectCreate("FIB6", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_684);
         ObjectSetText("FIB6", "FIB +1.50% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB6", 0, Time[SHIFT_FibText], l_price_684);
      if (ObjectFind("FIB7") != 0) {
         ObjectCreate("FIB7", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_660);
         ObjectSetText("FIB7", "FIB +200% ", 8, "Arial", Green);
      } else ObjectMove("FIB7", 0, Time[SHIFT_FibText], l_price_660);
      if (ObjectFind("FIB8") != 0) {
         ObjectCreate("FIB8", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_780);
         ObjectSetText("FIB8", "FIB -1.50% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB8", 0, Time[SHIFT_FibText], l_price_780);
      if (ObjectFind("FIB9") != 0) {
         ObjectCreate("FIB9", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_804);
         ObjectSetText("FIB9", "FIB -200% ", 8, "Arial", Green);
      } else ObjectMove("FIB9", 0, Time[SHIFT_FibText], l_price_804);
      if (ObjectFind("FIB10") != 0) {
         ObjectCreate("FIB10", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_692);
         ObjectSetText("FIB10", "FIB +1.382% ", 8, "Arial", Green);
      } else ObjectMove("FIB10", 0, Time[SHIFT_FibText], l_price_692);
      if (ObjectFind("FIB11") != 0) {
         ObjectCreate("FIB11", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_772);
         ObjectSetText("FIB11", "FIB -1.382% ", 8, "Arial", Green);
      } else ObjectMove("FIB11", 0, Time[SHIFT_FibText], l_price_772);
      if (ObjectFind("FIB12") != 0) {
         ObjectCreate("FIB12", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_676);
         ObjectSetText("FIB12", "FIB +1.618% ", 8, "Arial", Green);
      } else ObjectMove("FIB12", 0, Time[SHIFT_FibText], l_price_676);
      if (ObjectFind("FIB13") != 0) {
         ObjectCreate("FIB13", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_788);
         ObjectSetText("FIB13", "FIB -1.618% ", 8, "Arial", Green);
      } else ObjectMove("FIB13", 0, Time[SHIFT_FibText], l_price_788);
      if (ObjectFind("FIB14") != 0) {
         ObjectCreate("FIB14", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_716);
         ObjectSetText("FIB14", "FIB 0.764% ", 8, "Arial", Green);
      } else ObjectMove("FIB14", 0, Time[SHIFT_FibText], l_price_716);
      if (ObjectFind("FIB15") != 0) {
         ObjectCreate("FIB15", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_748);
         ObjectSetText("FIB15", "FIB 0.236% ", 8, "Arial", Green);
      } else ObjectMove("FIB15", 0, Time[SHIFT_FibText], l_price_748);
      if (ObjectFind("FIB16") != 0) {
         ObjectCreate("FIB16", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_764);
         ObjectSetText("FIB16", "FIB -1.236% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB16", 0, Time[SHIFT_FibText], l_price_764);
      if (ObjectFind("FIB17") != 0) {
         ObjectCreate("FIB17", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_700);
         ObjectSetText("FIB17", "FIB +1.236% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB17", 0, Time[SHIFT_FibText], l_price_700);
      if (ObjectFind("FIB18") != 0) {
         ObjectCreate("FIB18", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_796);
         ObjectSetText("FIB18", "FIB -1.764% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB18", 0, Time[SHIFT_FibText], l_price_796);
      if (ObjectFind("FIB19") != 0) {
         ObjectCreate("FIB19", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_668);
         ObjectSetText("FIB19", "FIB +1.764% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB19", 0, Time[SHIFT_FibText], l_price_668);
   }
   if (Show_EXTRAFibLines == TRUE) {
      if (ObjectFind("FIB120") != 0) {
         ObjectCreate("FIB20", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_652);
         ObjectSetText("FIB20", "FIB +250% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB20", 0, Time[SHIFT_FibText], l_price_652);
      if (ObjectFind("FIB21") != 0) {
         ObjectCreate("FIB21", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_812);
         ObjectSetText("FIB21", "FIB -250% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB21", 0, Time[SHIFT_FibText], l_price_812);
      if (ObjectFind("FIB122") != 0) {
         ObjectCreate("FIB22", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_644);
         ObjectSetText("FIB22", "FIB +300% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB22", 0, Time[SHIFT_FibText], l_price_644);
      if (ObjectFind("FIB23") != 0) {
         ObjectCreate("FIB23", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_820);
         ObjectSetText("FIB23", "FIB -300% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB23", 0, Time[SHIFT_FibText], l_price_820);
      if (ObjectFind("FIB124") != 0) {
         ObjectCreate("FIB24", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_636);
         ObjectSetText("FIB24", "FIB +350% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB24", 0, Time[SHIFT_FibText], l_price_636);
      if (ObjectFind("FIB25") != 0) {
         ObjectCreate("FIB25", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_828);
         ObjectSetText("FIB25", "FIB -350% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB25", 0, Time[SHIFT_FibText], l_price_828);
      if (ObjectFind("FIB126") != 0) {
         ObjectCreate("FIB26", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_628);
         ObjectSetText("FIB26", "FIB +400% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB26", 0, Time[SHIFT_FibText], l_price_628);
      if (ObjectFind("FIB27") != 0) {
         ObjectCreate("FIB27", OBJ_TEXT, 0, Time[SHIFT_FibText], l_price_836);
         ObjectSetText("FIB27", "FIB -400% ", 8, "Arial", C'0x00,0x5D,0x00');
      } else ObjectMove("FIB27", 0, Time[SHIFT_FibText], l_price_836);
   }
   if (Show_Daily_HI_LOW == TRUE) {
      if (ObjectFind("DHIGH") != 0) {
         ObjectCreate("DHIGH", OBJ_TEXT, 0, Time[SHIFT_HI_LOW_TEXT], l_price_132);
         ObjectSetText("DHIGH", "Daily High ", 8, "Arial", Turquoise);
      } else ObjectMove("DHIGH", 0, Time[SHIFT_HI_LOW_TEXT], l_price_132);
      if (ObjectFind("DLOW") != 0) {
         ObjectCreate("DLOW", OBJ_TEXT, 0, Time[SHIFT_HI_LOW_TEXT], l_price_140);
         ObjectSetText("DLOW", "Daily Low ", 8, "Arial", Turquoise);
      } else ObjectMove("DLOW", 0, Time[SHIFT_HI_LOW_TEXT], l_price_140);
   }
   if (Show_Daily_OPEN == TRUE || Using_OpenGraphics == TRUE) {
      if (ObjectFind("Open") != 0) {
         ObjectCreate("Open", OBJ_TEXT, 0, Time[SHIFT_Daily_OPEN_TEXT], l_open_108);
         ObjectSetText("Open", "                            OPEN " + DoubleToStr(l_open_108, Digits) + "", 8, "Arial Bold", YellowGreen);
      } else ObjectMove("Open", 0, Time[SHIFT_Daily_OPEN_TEXT], l_open_108);
   }
   if (Show_DollyCOMMENTS == TRUE) {
      ld_1156 = Bid - iOpen(Symbol(), PERIOD_D1, 0);
      ls_916 = "Indonesia graphics";
      l_dbl2str_924 = DoubleToStr(l_price_844, Digits);
      l_dbl2str_932 = DoubleToStr(l_price_860, Digits);
      l_dbl2str_940 = DoubleToStr(l_price_852, Digits);
      l_dbl2str_948 = DoubleToStr(l_price_844, Digits);
      l_dbl2str_956 = DoubleToStr(l_price_860, Digits);
      l_dbl2str_964 = DoubleToStr(l_price_876, Digits);
      l_dbl2str_972 = DoubleToStr(l_price_852, Digits);
      l_dbl2str_980 = DoubleToStr(l_price_868, Digits);
      l_dbl2str_988 = DoubleToStr(l_price_844, Digits);
      l_dbl2str_996 = DoubleToStr(l_price_852, Digits);
      l_dbl2str_1004 = DoubleToStr(l_price_868, Digits);
      l_dbl2str_1012 = DoubleToStr(l_price_884, Digits);
      l_dbl2str_1020 = DoubleToStr(l_price_868, Digits);
      l_dbl2str_1028 = DoubleToStr(l_price_844, Digits);
      l_dbl2str_1140 = DoubleToStr(l_price_884, Digits);
      l_dbl2str_1036 = DoubleToStr(l_price_860, Digits);
      l_dbl2str_1044 = DoubleToStr(l_price_852, Digits);
      l_dbl2str_1148 = DoubleToStr(l_price_876, Digits);
      l_dbl2str_1052 = DoubleToStr(l_open_108, Digits);
      l_dbl2str_1060 = DoubleToStr(ld_500 / Point, 0);
      l_dbl2str_1068 = DoubleToStr(l_ihigh_116 - l_ilow_124, Digits);
      l_dbl2str_1076 = DoubleToStr(l_price_4 + ld_500, Digits);
      l_dbl2str_1084 = DoubleToStr(l_price_4 - ld_500, Digits);
      l_dbl2str_1124 = DoubleToStr(l_price_4 + ld_500 / 2.0, Digits);
      l_dbl2str_1132 = DoubleToStr(l_price_4 - ld_500 / 2.0, Digits);
      l_time2str_1092 = TimeToStr(TimeLocal(), Digits - 6);
      l_time2str_1100 = TimeToStr(TimeCurrent(), Digits - 6);
      l_dbl2str_1108 = DoubleToStr(iMA(Symbol(), 0, 1, 0, MODE_EMA, PRICE_CLOSE, 0), Digits);
      l_dbl2str_1116 = DoubleToStr(ld_1156, Digits);
      ObjectDelete("Dolly");
      Dolly("Dolly", 22, 12, 4);
      ObjectSetText("Dolly", "" + ls_916 + "", 11, "Arial", Yellow);
      ObjectDelete("Dolly1");
      Dolly1("Dolly1", 35, 12, 4);
      ObjectSetText("Dolly1", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
      if (Auto_Signals == FALSE) {
         ObjectDelete("Dolly2");
         Dolly2("Dolly2", 50, 12, 4);
         ObjectSetText("Dolly2", "BUY ZONE", 9, "Arial", DeepSkyBlue);
         ObjectDelete("Dolly3");
         Dolly3("Dolly3", 60, 12, 4);
         ObjectSetText("Dolly3", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly4");
         Dolly4("Dolly4", 75, 12, 4);
         ObjectSetText("Dolly4", "BUY STOP-1  " + Symbol() + "  @ ", 9, "Arial", DodgerBlue);
         ObjectDelete("Dolly5");
         Dolly5("Dolly5", 75, 12, 4);
         ObjectSetText("Dolly5", " " + l_dbl2str_924 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly6");
         Dolly6("Dolly6", 90, 12, 4);
         ObjectSetText("Dolly6", "TP               and SL @    ", 9, "Arial", DodgerBlue);
         ObjectDelete("Dolly7");
         Dolly7("Dolly7", 90, 12, 4);
         ObjectSetText("Dolly7", " " + l_dbl2str_932 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly8");
         Dolly8("Dolly8", 90, 12, 4);
         ObjectSetText("Dolly8", " " + l_dbl2str_940 + "", 9, "Arial", Yellow);
         ObjectDelete("Dolly9");
         Dolly9("Dolly9", 110, 12, 4);
         ObjectSetText("Dolly9", "BUY STOP-2  " + Symbol() + "  @ ", 9, "Arial", LightBlue);
         ObjectDelete("Dolly10");
         Dolly10("Dolly10", 110, 12, 4);
         ObjectSetText("Dolly10", " " + l_dbl2str_932 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly11");
         Dolly11("Dolly11", 125, 12, 4);
         ObjectSetText("Dolly11", "TP               and SL @    ", 9, "Arial", LightBlue);
         ObjectDelete("Dolly12");
         Dolly12("Dolly12", 125, 12, 4);
         ObjectSetText("Dolly12", " " + l_dbl2str_964 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly13");
         Dolly13("Dolly13", 125, 12, 4);
         ObjectSetText("Dolly13", "" + l_dbl2str_948 + "", 9, "Arial", Yellow);
         ObjectDelete("Dolly14");
         Dolly14("Dolly14", 140, 12, 4);
         ObjectSetText("Dolly14", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly15");
         Dolly15("Dolly15", 155, 12, 4);
         ObjectSetText("Dolly15", "SELL ZONE", 9, "Arial", Orange);
         ObjectDelete("Dolly16");
         Dolly16("Dolly16", 165, 12, 4);
         ObjectSetText("Dolly16", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly17");
         Dolly17("Dolly17", 180, 12, 4);
         ObjectSetText("Dolly17", "SELL STOP-1  " + Symbol() + "  to ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly18");
         Dolly18("Dolly18", 180, 12, 4);
         ObjectSetText("Dolly18", " " + l_dbl2str_972 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly19");
         Dolly19("Dolly19", 195, 12, 4);
         ObjectSetText("Dolly19", "TP               and SL @    ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly20");
         Dolly20("Dolly20", 195, 12, 4);
         ObjectSetText("Dolly20", " " + l_dbl2str_1004 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly21");
         Dolly21("Dolly21", 195, 12, 4);
         ObjectSetText("Dolly21", " " + l_dbl2str_948 + " ", 9, "Arial", Yellow);
         ObjectDelete("Dolly22");
         Dolly22("Dolly22", 215, 12, 4);
         ObjectSetText("Dolly22", "SELL STOP-2  " + Symbol() + "  to ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly23");
         Dolly23("Dolly23", 215, 12, 4);
         ObjectSetText("Dolly23", " " + l_dbl2str_980 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly24");
         Dolly24("Dolly24", 230, 12, 4);
         ObjectSetText("Dolly24", "TP               and SL @    ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly25");
         Dolly25("Dolly25", 230, 12, 4);
         ObjectSetText("Dolly25", " " + l_dbl2str_1012 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly26");
         Dolly26("Dolly26", 230, 12, 4);
         ObjectSetText("Dolly26", " " + l_dbl2str_996 + " ", 9, "Arial", Yellow);
         ObjectDelete("Dolly27");
         Dolly27("Dolly27", 245, 12, 4);
         ObjectSetText("Dolly27", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly28");
         Dolly28("Dolly28", 260, 12, 4);
         ObjectSetText("Dolly28", "POTENTIAL REVERSAL LEVELS", 9, "Arial", DarkSeaGreen);
         ObjectDelete("Dolly29");
         Dolly29("Dolly29", 270, 12, 4);
         ObjectSetText("Dolly29", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly30");
         Dolly30("Dolly30", 285, 12, 4);
         ObjectSetText("Dolly30", "BEARISH CORRECTION : ", 9, "Arial", DeepSkyBlue);
         ObjectDelete("Dolly31");
         Dolly31("Dolly31", 300, 12, 4);
         ObjectSetText("Dolly31", "BUY STOP " + Symbol() + "  @ ", 9, "Arial", DodgerBlue);
         ObjectDelete("Dolly32");
         Dolly32("Dolly32", 300, 12, 4);
         ObjectSetText("Dolly32", " " + l_dbl2str_1020 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly33");
         Dolly33("Dolly33", 315, 12, 4);
         ObjectSetText("Dolly33", "TP               and SL @    ", 9, "Arial", DodgerBlue);
         ObjectDelete("Dolly34");
         Dolly34("Dolly34", 315, 12, 4);
         ObjectSetText("Dolly34", " " + l_dbl2str_1028 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly35");
         Dolly35("Dolly35", 315, 12, 4);
         ObjectSetText("Dolly35", " " + l_dbl2str_1140 + " ", 9, "Arial", Yellow);
         ObjectDelete("Dolly36");
         Dolly36("Dolly36", 335, 12, 4);
         ObjectSetText("Dolly36", "BULLISH CORRECTION : ", 9, "Arial", Orange);
         ObjectDelete("Dolly37");
         Dolly37("Dolly37", 350, 12, 4);
         ObjectSetText("Dolly37", "SELL STOP " + Symbol() + "  @ ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly38");
         Dolly38("Dolly38", 350, 12, 4);
         ObjectSetText("Dolly38", " " + l_dbl2str_1036 + "", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly39");
         Dolly39("Dolly39", 365, 12, 4);
         ObjectSetText("Dolly39", "TP               and SL @    ", 9, "Arial", OrangeRed);
         ObjectDelete("Dolly40");
         Dolly40("Dolly40", 365, 12, 4);
         ObjectSetText("Dolly40", " " + l_dbl2str_1044 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly41");
         Dolly41("Dolly41", 365, 12, 4);
         ObjectSetText("Dolly41", " " + l_dbl2str_1148 + " ", 9, "Arial", Yellow);
         ObjectDelete("Dolly42");
         Dolly42("Dolly42", 380, 12, 4);
         ObjectSetText("Dolly42", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly43");
         Dolly43("Dolly43", 395, 12, 4);
         ObjectSetText("Dolly43", "DAILY OPEN", 9, "Arial", Orange);
         ObjectDelete("Dolly44");
         Dolly44("Dolly44", 395, 12, 4);
         ObjectSetText("Dolly44", " " + l_dbl2str_1052 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly45");
         Dolly45("Dolly45", 410, 12, 4);
         ObjectSetText("Dolly45", "DAILY AVERAGE RANGE ", 9, "Arial", DarkSeaGreen);
         ObjectDelete("Dolly46");
         Dolly46("Dolly46", 410, 12, 4);
         ObjectSetText("Dolly46", " " + l_dbl2str_1060 + " ", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly47");
         Dolly47("Dolly47", 420, 12, 4);
         ObjectSetText("Dolly47", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly48");
         Dolly48("Dolly48", 435, 12, 4);
         ObjectSetText("Dolly48", "Price", 10, "Arial", Silver);
         ObjectDelete("Dolly49");
         Dolly49("Dolly49", 435, 12, 4);
         ObjectSetText("Dolly49", " " + l_dbl2str_1108 + " ", 15, "Arial", Silver);
      }
      ObjectDelete("Dolly50");
      Dolly50("Dolly50", 10, 12, 4);
      ObjectSetText("Dolly50", "Change", 10, "Arial", Silver);
      ObjectDelete("Dolly51");
      Dolly51("Dolly51", 18, 12, 4);
      if (ld_1156 == 0.0) ObjectSetText("Dolly51", "+" + l_dbl2str_1116 + " ", 15, "Arial", Gold);
      else {
         if (ld_1156 > 0.0) ObjectSetText("Dolly51", "+" + l_dbl2str_1116 + " ", 15, "Arial", Lime);
         else ObjectSetText("Dolly51", " " + l_dbl2str_1116 + " ", 15, "Arial", Red);
      }
   }
   if (Auto_Signals == TRUE) {
      if (Show_DollyCOMMENTS == TRUE) {
         ObjectDelete("Dolly42");
         Dolly42("Dolly42", 98, 12, 4);
         ObjectSetText("Dolly42", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly43");
         Dolly43("Dolly43", 112, 12, 4);
         ObjectSetText("Dolly43", "DAILY OPEN", 9, "Arial", Orange);
         ObjectDelete("Dolly44");
         Dolly44("Dolly44", 112, 12, 4);
         ObjectSetText("Dolly44", " " + l_dbl2str_1052 + "", 9, "Arial", YellowGreen);
         ObjectDelete("Dolly45");
         Dolly45("Dolly45", 125, 12, 4);
         ObjectSetText("Dolly45", "DAILY AVERAGE RANGE ", 9, "Arial", DarkSeaGreen);
         ObjectDelete("Dolly46");
         Dolly46("Dolly46", 125, 12, 4);
         ObjectSetText("Dolly46", " " + l_dbl2str_1060 + " ", 9, "Arial", DarkOrange);
         ObjectDelete("Dolly47");
         Dolly47("Dolly47", 134, 12, 4);
         ObjectSetText("Dolly47", ",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,", 8, "Arial", White);
         ObjectDelete("Dolly48");
         Dolly48("Dolly48", 148, 12, 4);
         ObjectSetText("Dolly48", "Price", 10, "Arial", Silver);
         ObjectDelete("Dolly49");
         Dolly49("Dolly49", 148, 12, 4);
         ObjectSetText("Dolly49", " " + l_dbl2str_1108 + " ", 15, "Arial", Silver);
      }
   }
}

int Dolly(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly1(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly2(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly3(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly4(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly5(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly6(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly7(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly8(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly9(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly10(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly11(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly12(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly13(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly14(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly15(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly16(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly17(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly18(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly19(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly20(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly21(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly22(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly23(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly24(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly25(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly26(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly27(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly28(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly29(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly30(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly31(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly32(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly33(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly34(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly35(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly36(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly37(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly38(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 170);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly39(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly40(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 35);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly41(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 140);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly42(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly43(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly44(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 100);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly45(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly46(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 160);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly47(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly48(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 20);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly49(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 50);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly50(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 850);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}

int Dolly51(string a_name_0, int a_y_8, int ai_unused_12, int a_corner_16) {
   ObjectCreate(a_name_0, OBJ_LABEL, 0, 0, 0);
   ObjectSet(a_name_0, OBJPROP_CORNER, a_corner_16);
   ObjectSet(a_name_0, OBJPROP_XDISTANCE, 885);
   ObjectSet(a_name_0, OBJPROP_YDISTANCE, a_y_8);
   ObjectSet(a_name_0, OBJPROP_BACK, TRUE);
   return (0);
}